<?php

namespace AppBundle\Repository;

/**
 * CommentRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class CommentRepository extends \Doctrine\ORM\EntityRepository
{
    public function getCommentsDescDate()
    {
        return $this
            ->createQueryBuilder('comment')
            ->orderBy('comment.publishDate', 'DESC')
            ->getQuery()
            ->getResult();
    }

    public function getCommentPictureId($picture_id)
    {
        return $this
            ->createQueryBuilder('comment')
            ->where('comment.picture = :picture_id')
            ->setParameter('picture_id', $picture_id)
            ->getQuery()
            ->getResult();
    }
}
